StarPU Internal Handbook

Data Structures | Macros | Functions | Variables
data_interface.h File Reference
`#include <starpu.h>`
`#include <common/config.h>`
`#include <common/uthash.h>`
`#include <util/openmp_runtime_support.h>`

Go to the source code of this file.

## Data Structures
union | _starpu_interface

## Macros
#define | _starpu_data_check_not_busy(handle)
#define | _starpu_data_is_multiformat_handle(handle)

## Functions
void | _starpu_data_free_interfaces (starpu_data_handle_t handle) STARPU_ATTRIBUTE_INTERNAL
int | _starpu_data_handle_init (starpu_data_handle_t handle, struct starpu_data_interface_ops *interface_ops, unsigned int mf_node)
void | _starpu_data_initialize_per_worker (starpu_data_handle_t handle)
void | _starpu_data_interface_init (void) STARPU_ATTRIBUTE_INTERNAL
int | __starpu_data_check_not_busy (starpu_data_handle_t handle) STARPU_ATTRIBUTE_INTERNAL STARPU_ATTRIBUTE_WARN_UNUSED_RESULT
void | _starpu_data_interface_shutdown (void) STARPU_ATTRIBUTE_INTERNAL
void | _starpu_omp_unregister_region_handles (struct starpu_omp_region *region)
void | _starpu_omp_unregister_task_handles (struct starpu_omp_task *task)
struct starpu_data_interface_ops * | _starpu_data_interface_get_ops (unsigned interface_id)
void | _starpu_data_register_ram_pointer (starpu_data_handle_t handle, void *ptr) STARPU_ATTRIBUTE_INTERNAL
void | _starpu_data_unregister_ram_pointer (starpu_data_handle_t handle, unsigned node) STARPU_ATTRIBUTE_INTERNAL
void | _starpu_data_invalidate_submit_noplan (starpu_data_handle_t handle)

## Variables
struct starpu_data_interface_ops | starpu_interface_matrix_ops
struct starpu_data_interface_ops | starpu_interface_block_ops
struct starpu_data_interface_ops | starpu_interface_vector_ops
struct starpu_data_interface_ops | starpu_interface_csr_ops
struct starpu_data_interface_ops | starpu_interface_bcsr_ops
struct starpu_data_interface_ops | starpu_interface_variable_ops
struct starpu_data_interface_ops | starpu_interface_void_ops
struct starpu_data_interface_ops | starpu_interface_multiformat_ops
struct starpu_arbiter * | _starpu_global_arbiter

## Data Structure Documentation

## ◆ _starpu_interface

union _starpu_interface

Generic type representing an interface, for now it's only used before execution on message-passing devices but it can be useful in other cases.

Data Fields
struct starpu_variable_interface | variable |
struct starpu_vector_interface | vector |
struct starpu_matrix_interface | matrix |
struct starpu_block_interface | block |
struct starpu_csr_interface | csr |
struct starpu_bcsr_interface | bcsr |
struct starpu_coo_interface | coo |

## Variable Documentation

## ◆ starpu_interface_matrix_ops

struct starpu_data_interface_ops starpu_interface_matrix_ops
| extern

Some data interfaces or filters use this interface internally